# Deep Linking

Developers can invoke the imToken application through *DeepLink* and open it to the specified page. No third-party libraries or other integrations required.

### Scene Introduction

* Users access your product from their mobile devices, invoke the imToken app at a specified link, and jump to transfers or other functions.
* Users access your product in their mobile browsers and go to a DApp within imToken via a specified link to help them perform more asset-related actions.
* You need to prompt the user to check the market price and direct the user to open imToken via a link to see the aggregated market price.
* Your application does not have a collection function, so you need to guide the user to open the imToken app to start a quick payment.

{% hint style="info" %}
If the user does not have the imToken app installed, it will need to be downloaded and installed to properly trigger *DeepLink*.
{% endhint %}

{% hint style="success" %}
*DeepLink* automatically jumps when the current process is complete, even if the imToken app is locked, not logged in, or not turned on.
{% endhint %}

## Getting Started

> Before you start, make sure you have a web page or mobile app that can be accessed by mobile devices.

imToken's *DeepLink* consists of a fixed prefix and path, you just need to specify the pathname accordingly:

```
imtokenv2://navigate/AssetsTab
// prefix: imtokenv2://navigate/
// path: AssetsTab
```

In the case of a Web application, placing this link in the `herf` of  `a` will trigger the jump correctly.

```markup
<a href="imtokenv2://navigate/AssetsTab">Go to imToken App</a>
```

### Params

Some pages support additional query parameters, so you can specify the landing page by adding a query. Opening the specified DApp is the most common example:

```
imtokenv2://navigate/DappView?url=https://fee.token.im/eth
```

If your DApp link contains characters that need to be parsed, serialize the query parameter:

```
// imtokenv2://navigate/DappView?url=https://domain/path//\\-name
// should be:
imtokenv2://navigate/DappView?url=https%3A%2F%2Fdomain%2Fpath%2F%2F%5C-name
```

## Wallet Connect Support

The imToken application supports connecting to standard Wallet Connect URI, and common Wallet Connect URIs are shown below:

```
# Wallet Connect URI
wc:00e46b69-d0cc-4b3e-b6a2-cee442f97188@1?bridge=https%3A%2F%2Fbridge.walletconnect.org&key=91303dedf64285cbbaf9120f6e9d160a5c8aa3deb67017a3874cd272323f48ae
```

For information on how to customize the Schema, please refer to the [Protocol Standards documentation](https://docs.walletconnect.org/tech-spec#requesting-connection). If you want to invoke the **imToken App and trigger this link**, you need to add the fixed prefix `imtokenv2://wc?uri=` .

```
imtokenv2://wc?uri=wc:00e46b69-d0cc-4b3e-b6a2-cee442f97188@1?bridge=https%3A%2F%2Fbridge.walletconnect.org&key=91303dedf64285cbbaf9120f6e9d160a5c8aa3deb67017a3874cd272323f48ae
```

## Validation

Testing and verifying that *DeepLink* triggers properly will be very helpful to you, and we provide an online tool to help you. Please open the [verification tool](https://token-deeplink.vercel.app/) with **your mobile device** to verify the triggering effect of *DeepLink*.

## Reference Routes

The following are the current routing paths that can be safely used, note the prefix added when using.

* `About` -- About us page
* `ProfileTab` -- Personal information page
* `DiscoveryTab`  -- Discovery
* `MarketTab` -- Market
* `MarketTab?tabIndex=<number>` -- Go to the market and jump to the specified tab
* `AssetsTab` -- Home, assets display page
* `DappView?url=<URL>`  -- Open the DApp at the specified URL。&#x20;
* `Tokenlon?makerSymbol=<symbol>&takerSymbol=<symbol>` -- Open *Tokenlon* and specify the exchange pair


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://imtoken.gitbook.io/developers/products/deep-linking.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
